{
    "doc": "Structural variant type as defined by the VCF specification 4.2 for field ID.",
    "fields": [
        {
            "name": "firstLevelType",
            "type": {
                "doc": "The first level type must be one\nof the following:\n\n* `DEL` Deletion relative to the reference\n* `INS` Insertion of novel sequence relative to the reference\n* `DUP` Region of elevated copy number relative to the reference\n* `INV` Inversion of reference sequence\n* `CNV` Copy number variable region (may be both deletion and duplication) The CNV category should not be used when a\nmore specific category can be applied.  Reserved subtypes include:\n* `DUP:TANDEM` Tandem duplication\n* `DEL:ME` Deletion of mobile element relative to the reference\n* `INS:ME` Insertion of a mobile element relative to the reference",
                "name": "StructuralVariantFirstLevelType",
                "symbols": [
                    "DEL",
                    "INS",
                    "DUP",
                    "INV",
                    "CNV",
                    "DUP_TANDEM",
                    "DEL_ME",
                    "INS_ME"
                ],
                "type": "enum"
            }
        },
        {
            "name": "subtype",
            "type": [
                "null",
                "string"
            ]
        }
    ],
    "name": "StructuralVariantType",
    "namespace": "org.gel.models.report.avro",
    "type": "record"
}